Bug 247648 - [RHEL4.6] wacom: fix absolute coordinates on Intuos3 and Cintiq
Summary: [RHEL4.6] wacom: fix absolute coordinates on Intuos3 and Cintiq
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Aristeu Rozanski
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-10 17:30 UTC by Aristeu Rozanski
Modified: 2007-11-17 01:14 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:30:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test patch (1.16 KB, patch)
2007-07-10 17:37 UTC, Aristeu Rozanski
no flags Details | Diff
updated test patch (1.12 KB, patch)
2007-07-13 20:46 UTC, Aristeu Rozanski
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0791 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 6 2007-11-14 18:25:55 UTC

Description Aristeu Rozanski 2007-07-10 17:30:08 UTC
Description of problem:
On current RHEL4 kernel, large Intuos3 tablets and Cintiq tablets don't
work correctly, only using part of the screen.

Version-Release number of selected component (if applicable):
RHEL4.5

How reproducible:
always

Steps to Reproduce:
1. Configure X server to use the tablet
2. Try to reach the lower right on the tablet
  
Actual results:
Isn't possible to reach all places in the screen.

Expected results:
Tablet should work correctly.

Comment 1 Aristeu Rozanski 2007-07-10 17:37:51 UTC
Created attachment 158872 [details]
test patch

Comment 2 RHEL Product and Program Management 2007-07-10 19:34:45 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Aristeu Rozanski 2007-07-13 20:46:05 UTC
Created attachment 159243 [details]
updated test patch

patch updated, based on Ernie Petrides comments on rhkernel-list

Comment 5 Jason Baron 2007-07-25 14:38:11 UTC
committed in stream U6 build 55.22. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 9 errata-xmlrpc 2007-11-15 16:30:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html



Note You need to log in before you can comment on or make changes to this bug.